(function () {
    var app = angular.module('quiz', ['ui.bootstrap']);
    
    app.controller('QuizController', function ($scope, $modal){
        $scope.controller = 'sc';
        $scope.questions = questions;
        $scope.currentQuestion = {};
        $scope.color = 'blue';
        $scope.isCorrect = false;
        $scope.score = 0;
        $scope.view = 1;
        $scope.answerId = -1;
        $scope.percentageTotalScore = null;
        
        this.loadQuestion = function(id) {
            angular.copy($scope.questions[id], $scope.currentQuestion);
        };
        
        this.startQuiz = function() {
            $scope.score = 0;
            $scope.currentQuestionId = 0;
            $scope.questionNumber = questions.length;
            $scope.answerChecked = false;
            this.loadQuestion($scope.currentQuestionId);            
        }
        
        this.nextQuestion = function() {
            if ($scope.currentQuestionId == $scope.questionNumber -1) { 
                $scope.percentageTotalScore = $scope.score / $scope.questionNumber;
                this.nextView(); 
            } else {
                $scope.currentQuestionId++;
                this.loadQuestion($scope.currentQuestionId);
                $scope.answerChecked = false;
                $scope.answerId = -1;
            };
        }
        
        this.checkAnswer = function() {
            $scope.isCorrect = ($scope.answerId  == $scope.currentQuestion.answer);
            //$scope.isCorrect = true;
            if ($scope.isCorrect) { $scope.score++ };

            $scope.answerChecked = true;

        }
        
        this.nextView = function() {
            $scope.view++;    
        }
        
        this.startQuiz();

    });
      
    var questions = [
        {
            question: 'Polubowny sposób rozwiązywania sporów to:',
            options: ['apelacja', 'mediacja', 'aukcja'],
            answer: 1
        },
        {
            question: 'Mediacja jest:',
            options: ['obowiązkowa w każdym postępowaniu', 'obowiązkowa gdy sąd skieruje do mediacji', 'dobrowolna'],
            answer: 2
        },
        {
            question: 'Podmioty prowadzące listy stałych mediatorów to:',
            options: ['ośrodki polubowne', 'organizacje mediacyjne', 'ośrodki mediacyjne'],
            answer: 2
        },
        {
            question: 'Po osiągnięciu kompromisu mediator sporządza:',
            options: ['notatkę z mediacji', 'protokół z mediacji', 'raport z mediacji'],
            answer: 1
        },
        {
            question: 'Jedna z podstawowych zasad mediacji to:',
            options: ['jawność', 'dwuinstancyjność', 'bezstronność'],
            answer: 2
        }
    ];
})();